Skip to main content
GET
Get Environment File

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
environmentName
string
required

Environment name (e.g., production, preview)

filePath
string
required

File path (URL-encoded, e.g., pages%2Findex.mdx)

Query Parameters

include_server_functions
enum<string>
Available options:
true,
false
fields
string

Sparse fieldset filter per Zalando #157. Examples: (id,name), (id,files(path)), !(content)

Pattern: ^!?\([^)]*\)$
Example:

"(id,path,type,size)"

Response

File from the environment (supports sparse fieldsets per Zalando #157)

id
string
required
version_id
string
required
path
string
required
content
string
required
size
number
required
type
enum<string>
required
Available options:
page,
function,
component,
file
updated_at
string
required
environment_id
string
required
environment_name
string
required
release_id
string
required
release_version
string | null
required